<template>
  <v-row justify="center">
    <v-dialog v-model="dialog" persistent max-width="600px">
      <v-card>
        <v-card-title>
          <span class="headline">Giriş Yapın</span>
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field label="Email*" v-model="email" required></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-text-field label="Parola*" type="password" v-model="password" required></v-text-field>
              </v-col>
            </v-row>
          </v-container>
          <small>*Doldurması zorunlu alanlar</small>
        </v-card-text>
        <v-card-actions>
          <div class="flex-grow-1"></div>
          <nuxt-link to='/'><v-btn color="primary" text >Anasayfa</v-btn></nuxt-link>
          <v-btn color="primary" text @click="dialog = false" :disabled="!email && !password">Gönder</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
<script>
export default {
  data: () => ({
    dialog: true,
    email: '',
    password: ''
  })
}
</script>

<style scoped>
a {
    text-decoration: none;
}
</style>
